Daemon Power

The NetBSD Packages Collection: www/ocaml-cohttp

Brief description of the package:
OCaml library for HTTP clients and servers

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://github.com/mirage/ocaml-cohttp/.

Please note that this package has a isc license.

The package is located in the "www/ocaml-cohttp" directory. The current source version of the package is "ocaml-cohttp-2.5.1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/ocaml-cohttp :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ocaml-lwt>=5.0.0 ocaml-dune>=2.0.0 ocaml-findlib>=1.2 ocaml>=4.09.0 cwrappers>=20150314 ocaml-findlib>=1.8.1 ocaml-opaline>=0.3.1 ocaml-opam-file-format>=2.0.0 ocamlbuild>=0.9.2 ocamlbuild>=0.14.0 ocaml-opaline>=0.3.2 libev>=3.9nb1 ocaml-cppo>=1.3.1 ocaml-dune>=2.1.3nb1 ocaml-migrate-parsetree>=1.0.1 ocaml-ppx_derivers>=1.0 ocaml-result>=1.2 ocaml-ppx_derivers>=1.2.1 ocaml-result>=1.4 ocaml-mmap>=1.1.0 ocaml-ocplib-endian>=1.0 ocaml-cppo>=1.6.6 ocaml-ppx_tools_versioned>=5.0.1 ocaml-migrate-parsetree>=1.5.0 ocaml-seq>=0.1 libev>=4.01 ocaml-ppx_tools_versioned>=5.3.0 ocaml-magic-mime>=1.1.1 js_of_ocaml>=3.0.0 ocaml-tyxml>=4.0.1 ocaml-re>=1.6.0 ocaml-markup>=0.7.2 ocaml-uutf>=0.9.3nb1 ocaml-topkg>=1.0.0 ocaml-cmdliner>=0.9.8 ocaml-uchar>=0.0.1 ocaml-cmdliner>=1.0.3 ocaml-uchar>=0.0.2 ocaml-uutf>=1.0.2 ocaml-re>=1.9.0nb1 ocaml-markup>=0.8.2 ocaml-reactiveData>=0.2.1 ocaml-react>=1.2.0nb1 ocaml-react>=1.2.1nb4 ocaml-lwt_log>=1.1.0 ocaml-lwt>=5.2.0 ocaml-ppx_deriving>=4.0 ocaml-ppx_tools>=6.0 ocaml-ppxfind>=1.3 ocaml-ppxlib>=0.3.0 ocaml-base>=0.9.3 ocaml-sexplib0>=0.11.0 ocaml-sexplib0>=0.13.0 ocaml-compiler-libs>=0.9.0 ocaml-stdio>=0.9.0 ocaml-base>=0.13.1 ocaml-compiler-libs>=0.12.1 ocaml-stdio>=0.13.0 ocaml-tyxml>=4.4.0 ocaml-reactiveData>=0.2.2 ocaml-lwt_log>=1.1.1 ocaml-ppx_deriving>=4.4.1 ocaml-ppxlib>=0.12.0 ocaml-base64>=3.0.0 ocaml-base64>=3.1.0 ocaml-fmt>=0.8.5 ocaml-ppx_fields_conv>=0.12.0 ocaml-fieldslib>=0.12.0 ocaml-fieldslib>=0.13.0 ocaml-ppx_sexp_conv>=0.9.0 ocaml-stdlib-shims>=0.2.0 ocaml-stringext>=1.5.0 ocaml-conduit>=2.0.0 ocaml-async>=0.12.0 ocaml-async_extra>=0.12.0 ocaml-async_kernel>=0.12.0 ocaml-core_kernel>=0.12.2 ocaml-base_bigstring>=0.12.0 ocaml-ppx_jane>=0.12.0 ocaml-base_quickcheck>=0.13.0 ocaml-ppx_base>=0.9.0 ocaml-ppx_compare>=0.9.0 ocaml-ppx_enumerate>=0.9.0 ocaml-ppx_hash>=0.9.0 ocaml-ppx_compare>=0.13.0 ocaml-ppx_sexp_conv>=0.13.0 ocaml-ppx_enumerate>=0.13.0 ocaml-ppx_hash>=0.13.0 ocaml-ppx_let>=0.13.0 ocaml-ppx_sexp_message>=0.12.0 ocaml-ppx_here>=0.12.0 ocaml-ppx_here>=0.13.0 ocaml-splittable_random>=0.12.0 ocaml-ppx_assert>=0.12.0 ocaml-ppx_cold>=0.13.0 ocaml-ppx_bench>=0.12.0 ocaml-ppx_inline_test>=0.12.0 ocaml-ppx_inline_test>=0.13.0 ocaml-ppx_assert>=0.13.0 ocaml-ppx_bench>=0.13.0 ocaml-ppx_sexp_message>=0.13.0 ocaml-ppx_base>=0.12.0 ocaml-ppx_fields_conv>=0.13.0 ocaml-splittable_random>=0.13.0 ocaml-ppx_bin_prot>=0.12.1 ocaml-bin_prot>=0.12.0 ocaml-ppx_custom_printf>=0.12.0 ocaml-ppx_variants_conv>=0.12.0 ocaml-variantslib>=0.12.0 ocaml-ppx_custom_printf>=0.12.1 ocaml-ppx_variants_conv>=0.13.0 ocaml-bin_prot>=0.13.0 ocaml-ppx_expect>=0.12.0 ocaml-ppx_fail>=0.12.0 ocaml-ppx_module_timer>=0.12.0 ocaml-time_now>=0.12.0 ocaml-jane-street-headers>=0.13.0 ocaml-jst-config>=0.12.0 ocaml-ppx_optcomp>=0.9.0 ocaml-jane-street-headers>=0.13.0nb1 ocaml-ppx_optcomp>=0.13.0 ocaml-ppx_optional>=0.12.0 ocaml-ppx_pipebang>=0.12.0 ocaml-ppx_sexp_value>=0.12.0 ocaml-ppx_stable>=0.12.0 ocaml-ppx_typerep_conv>=0.12.0 ocaml-typerep>=0.12.0 ocaml-typerep>=0.13.0 ocaml-ppx_bin_prot>=0.13.0 ocaml-ppx_expect>=0.13.0nb1 ocaml-ppx_module_timer>=0.13.0 ocaml-ppx_optional>=0.13.0 ocaml-ppx_typerep_conv>=0.13.0 ocaml-ppx_jane>=0.13.0 ocaml-sexplib>=0.9.0 ocaml-parsexp>=0.11.0 ocaml-num>=1.1 ocaml-parsexp>=0.12.0 ocaml-num>=1.1nb2 ocaml-sexplib>=0.12.0 ocaml-core_kernel>=0.13.1 ocaml-async_rpc_kernel>=0.12.0 ocaml-protocol_version_header>=0.12.0 ocaml-async_kernel>=0.13.0 ocaml-protocol_version_header>=0.13.0 ocaml-async_unix>=0.12.0 ocaml-core>=0.12.0 ocaml-spawn>=0.12.0 ocaml-spawn>=0.13.0 ocaml-core>=0.13.0 ocaml-async_rpc_kernel>=0.13.0 ocaml-async_unix>=0.13.0 ocaml-textutils>=0.12.0 ocaml-async_extra>=0.13.0 ocaml-textutils>=0.13.0 ocaml-astring>=0.8.3 ocaml-logs>=0.6.2 ocaml-fmt>=0.8.5nb1 ocaml-ipaddr>=4.0.0 ocaml-cstruct>=3.7.0 ocaml-domain-name>=0.3.0 ocaml-uri>=3.0.0 ocaml-stringext>=1.6.0 ocaml-async>=0.13.0 ocaml-logs>=0.7.0nb1 ocaml-uri>=3.1.0 ocaml-jsonm>=0.9.1 ocaml-magic-mime>=1.1.2 js_of_ocaml>=3.5.2 ocaml-conduit>=2.1.0 ocaml-jsonm>=1.0.1nb4 .

This package requires the following package(s) to run: ocaml-lwt>=5.0.0 ocaml-dune>=2.0.0 ocaml-findlib>=1.2 ocaml>=4.09.0 ocaml-findlib>=1.8.1 libev>=3.9nb1 ocaml-cppo>=1.3.1 ocamlbuild>=0.9.2 ocaml-dune>=2.1.3nb1 ocamlbuild>=0.14.0 ocaml-migrate-parsetree>=1.0.1 ocaml-ppx_derivers>=1.0 ocaml-result>=1.2 ocaml-ppx_derivers>=1.2.1 ocaml-result>=1.4 ocaml-mmap>=1.1.0 ocaml-ocplib-endian>=1.0 ocaml-cppo>=1.6.6 ocaml-ppx_tools_versioned>=5.0.1 ocaml-migrate-parsetree>=1.5.0 ocaml-seq>=0.1 libev>=4.01 ocaml-ppx_tools_versioned>=5.3.0 ocaml-magic-mime>=1.1.1 js_of_ocaml>=3.0.0 ocaml-tyxml>=4.0.1 ocaml-re>=1.6.0 ocaml-markup>=0.7.2 ocaml-uutf>=0.9.3nb1 ocaml-topkg>=1.0.0 ocaml-cmdliner>=0.9.8 ocaml-uchar>=0.0.1 ocaml-cmdliner>=1.0.3 ocaml-uchar>=0.0.2 ocaml-uutf>=1.0.2 ocaml-re>=1.9.0nb1 ocaml-markup>=0.8.2 ocaml-reactiveData>=0.2.1 ocaml-react>=1.2.0nb1 ocaml-react>=1.2.1nb4 ocaml-lwt_log>=1.1.0 ocaml-lwt>=5.2.0 ocaml-ppx_deriving>=4.0 ocaml-ppx_tools>=6.0 ocaml-ppxfind>=1.3 ocaml-ppxlib>=0.3.0 ocaml-base>=0.9.3 ocaml-sexplib0>=0.11.0 ocaml-sexplib0>=0.13.0 ocaml-compiler-libs>=0.9.0 ocaml-stdio>=0.9.0 ocaml-base>=0.13.1 ocaml-compiler-libs>=0.12.1 ocaml-stdio>=0.13.0 ocaml-tyxml>=4.4.0 ocaml-reactiveData>=0.2.2 ocaml-lwt_log>=1.1.1 ocaml-ppx_deriving>=4.4.1 ocaml-ppxlib>=0.12.0 ocaml-base64>=3.0.0 ocaml-base64>=3.1.0 ocaml-fmt>=0.8.5 ocaml-ppx_fields_conv>=0.12.0 ocaml-fieldslib>=0.12.0 ocaml-fieldslib>=0.13.0 ocaml-ppx_sexp_conv>=0.9.0 ocaml-stdlib-shims>=0.2.0 ocaml-stringext>=1.5.0 ocaml-conduit>=2.0.0 ocaml-async>=0.12.0 ocaml-async_extra>=0.12.0 ocaml-async_kernel>=0.12.0 ocaml-core_kernel>=0.12.2 ocaml-base_bigstring>=0.12.0 ocaml-ppx_jane>=0.12.0 ocaml-base_quickcheck>=0.13.0 ocaml-ppx_base>=0.9.0 ocaml-ppx_compare>=0.9.0 ocaml-ppx_enumerate>=0.9.0 ocaml-ppx_hash>=0.9.0 ocaml-ppx_compare>=0.13.0 ocaml-ppx_sexp_conv>=0.13.0 ocaml-ppx_enumerate>=0.13.0 ocaml-ppx_hash>=0.13.0 ocaml-ppx_let>=0.13.0 ocaml-ppx_sexp_message>=0.12.0 ocaml-ppx_here>=0.12.0 ocaml-ppx_here>=0.13.0 ocaml-splittable_random>=0.12.0 ocaml-ppx_assert>=0.12.0 ocaml-ppx_cold>=0.13.0 ocaml-ppx_bench>=0.12.0 ocaml-ppx_inline_test>=0.12.0 ocaml-ppx_inline_test>=0.13.0 ocaml-ppx_assert>=0.13.0 ocaml-ppx_bench>=0.13.0 ocaml-ppx_sexp_message>=0.13.0 ocaml-ppx_base>=0.12.0 ocaml-ppx_fields_conv>=0.13.0 ocaml-splittable_random>=0.13.0 ocaml-ppx_bin_prot>=0.12.1 ocaml-bin_prot>=0.12.0 ocaml-ppx_custom_printf>=0.12.0 ocaml-ppx_variants_conv>=0.12.0 ocaml-variantslib>=0.12.0 ocaml-ppx_custom_printf>=0.12.1 ocaml-ppx_variants_conv>=0.13.0 ocaml-bin_prot>=0.13.0 ocaml-ppx_expect>=0.12.0 ocaml-ppx_fail>=0.12.0 ocaml-ppx_module_timer>=0.12.0 ocaml-time_now>=0.12.0 ocaml-jane-street-headers>=0.13.0 ocaml-jst-config>=0.12.0 ocaml-ppx_optcomp>=0.9.0 ocaml-jane-street-headers>=0.13.0nb1 ocaml-ppx_optcomp>=0.13.0 ocaml-ppx_optional>=0.12.0 ocaml-ppx_pipebang>=0.12.0 ocaml-ppx_sexp_value>=0.12.0 ocaml-ppx_stable>=0.12.0 ocaml-ppx_typerep_conv>=0.12.0 ocaml-typerep>=0.12.0 ocaml-typerep>=0.13.0 ocaml-ppx_bin_prot>=0.13.0 ocaml-ppx_expect>=0.13.0nb1 ocaml-ppx_module_timer>=0.13.0 ocaml-ppx_optional>=0.13.0 ocaml-ppx_typerep_conv>=0.13.0 ocaml-ppx_jane>=0.13.0 ocaml-sexplib>=0.9.0 ocaml-parsexp>=0.11.0 ocaml-num>=1.1 ocaml-parsexp>=0.12.0 ocaml-num>=1.1nb2 ocaml-sexplib>=0.12.0 ocaml-core_kernel>=0.13.1 ocaml-async_rpc_kernel>=0.12.0 ocaml-protocol_version_header>=0.12.0 ocaml-async_kernel>=0.13.0 ocaml-protocol_version_header>=0.13.0 ocaml-async_unix>=0.12.0 ocaml-core>=0.12.0 ocaml-spawn>=0.12.0 ocaml-spawn>=0.13.0 ocaml-core>=0.13.0 ocaml-async_rpc_kernel>=0.13.0 ocaml-async_unix>=0.13.0 ocaml-textutils>=0.12.0 ocaml-async_extra>=0.13.0 ocaml-textutils>=0.13.0 ocaml-astring>=0.8.3 ocaml-logs>=0.6.2 ocaml-fmt>=0.8.5nb1 ocaml-ipaddr>=4.0.0 ocaml-cstruct>=3.7.0 ocaml-domain-name>=0.3.0 ocaml-uri>=3.0.0 ocaml-stringext>=1.6.0 ocaml-async>=0.13.0 ocaml-logs>=0.7.0nb1 ocaml-uri>=3.1.0 ocaml-jsonm>=0.9.1 ocaml-magic-mime>=1.1.2 js_of_ocaml>=3.5.2 ocaml-conduit>=2.1.0 ocaml-jsonm>=1.0.1nb4 .

This package supports the following build-time options:

async
Use the async library

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
aarch64:ocaml-cohttp-2.5.1.tgz(NetBSD 9.0)
aarch64:ocaml-cohttp-2.1.2.tgz(NetBSD 9.0)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 7.0)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 7.0)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 7.1)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 7.1)
i386:ocaml-cohttp-2.5.1.tgz(NetBSD 8.0)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 8.0)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 8.0)
i386:ocaml-cohttp-2.5.1.tgz(NetBSD 9.0)
i386:ocaml-cohttp-2.1.2.tgz(NetBSD 9.0)
x86_64:ocaml-cohttp-2.5.1.tgz(NetBSD 9.0)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 7.0)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 7.0)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 7.1)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 7.1)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 8.0)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 8.0)
x86_64:ocaml-cohttp-2.5.1.tgz(NetBSD 8.0)
x86_64:ocaml-cohttp-2.5.1.tgz(NetBSD 9.0)
x86_64:ocaml-cohttp-2.1.2.tgz(NetBSD 9.0)
x86_64:ocaml-cohttp-2.5.1.tgz(NetBSD 9.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]